From 890316df4cfa1440c6e5d4d26c8eba721de7fc27 Mon Sep 17 00:00:00 2001
From: Alexandru Avadanii <Alexandru.Avadanii@enea.com>
Date: Mon, 13 Aug 2018 19:10:50 +0200
Subject: [jump] Enable jumbo frames for vnet devices

By default, vnet devices have a MTU of 1500 on the host side, causing
issue with larger packets traversing the bridges between guest VMs
when guest VMs have jumbo frames enabled.

JIRA: FUEL-336
JIRA: FUEL-367
JIRA: FUEL-382

[1] http://linuxaleph.blogspot.com/2013/01/
    how-to-network-jumbo-frames-to-kvm-guest.html
[2] https://packetpushers.net/udev/

Change-Id: I941ac9cf764e3b3fa2d6463be5363b5459775f29
Signed-off-by: Alexandru Avadanii <Alexandru.Avadanii@enea.com>
---
 mcp/scripts/lib.sh | 7 +++++++
 1 file changed, 7 insertions(+)

(limited to 'mcp/scripts')

diff --git a/mcp/scripts/lib.sh b/mcp/scripts/lib.sh
index 4e4f36908..c566cc993 100644
--- a/mcp/scripts/lib.sh
+++ b/mcp/scripts/lib.sh
@@ -546,6 +546,13 @@ function wait_for {
   )
 }
 
+function do_udev_cfg {
+  local _conf='/etc/udev/rules.d/99-opnfv-fuel-vnet-mtu.rules'
+  # http://linuxaleph.blogspot.com/2013/01/how-to-network-jumbo-frames-to-kvm-guest.html
+  echo 'SUBSYSTEM=="net", ACTION=="add", KERNEL=="vnet*", RUN+="/sbin/ip link set mtu 9000 dev '"'"%k"'"'"' |& sudo tee "${_conf}"
+  sudo udevadm control --reload || true
+}
+
 function do_sysctl_cfg {
   local _conf='/etc/sysctl.d/99-opnfv-fuel-bridge.conf'
   # https://wiki.libvirt.org/page/Net.bridge.bridge-nf-call_and_sysctl.conf
-- 
cgit